changeset 11804:1c9a9a1f89ed

support for newer openbsd versions, which are fully elf based
author alex
date Mon, 19 Jan 2004 17:36:30 +0000
parents 507476964de0
children 80ab7f4d3782
files loader/loader_objfix.sh
diffstat 1 files changed, 2 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/loader/loader_objfix.sh	Sun Jan 18 17:00:00 2004 +0000
+++ b/loader/loader_objfix.sh	Mon Jan 19 17:36:30 2004 +0000
@@ -1,6 +1,7 @@
 #!/bin/sh
 # This script fixes up symbol mangling in GNU as code of stubs.s.
 # This file is licensed under the GPL, more info at http://www.fsf.org/
+if ! [ 'file stubs.o | grep ELF ' ] ; then
 for i in "export_names" \
        "printf" \
        "exp_EH_prolog" \
@@ -9,3 +10,4 @@
 echo "fixing: $i=_$i"
 objcopy --redefine-sym "$i=_$i" stubs.o
 done
+fi